# Generated by Django 3.1.2 on 2020-10-31 07:33

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Cinema',
            fields=[
                ('id', models.UUIDField(default=uuid.UUID('b5c3321f-4ef7-4612-a42d-c92ee9ee13e7'), editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=30)),
                ('logo', models.ImageField(blank=True, null=True, upload_to='cinema_logo')),
                ('photos', models.CharField(blank=True, max_length=10, null=True)),
                ('admin', models.CharField(default='Admin', max_length=20)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='CinemaBranch',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=30)),
                ('lat', models.FloatField(blank=True, null=True, verbose_name='Latitude')),
                ('lon', models.FloatField(blank=True, null=True, verbose_name='Longitude')),
                ('email', models.CharField(blank=True, max_length=50, null=True)),
                ('phone_num', models.CharField(blank=True, max_length=30, null=True)),
                ('address', models.CharField(blank=True, max_length=300, null=True)),
                ('admin', models.CharField(default='Admin', max_length=20)),
                ('gallery', models.ImageField(blank=True, null=True, upload_to='gallery')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('cinema', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='cinema', to='cinema.cinema')),
            ],
        ),
        migrations.CreateModel(
            name='Movie',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('title', models.CharField(max_length=50)),
                ('genre', models.CharField(blank=True, max_length=30, null=True)),
                ('poster', models.ImageField(blank=True, null=True, upload_to='poster')),
                ('time_lapse', models.CharField(blank=True, max_length=20, null=True)),
                ('writer', models.CharField(blank=True, max_length=50, null=True)),
                ('director', models.CharField(blank=True, max_length=50, null=True)),
                ('producer', models.CharField(blank=True, max_length=50, null=True)),
                ('rating', models.DecimalField(decimal_places=2, default=2, max_digits=4)),
                ('cast', models.CharField(blank=True, max_length=50, null=True)),
                ('category', models.CharField(blank=True, max_length=50, null=True)),
                ('status', models.CharField(blank=True, max_length=50, null=True)),
                ('language', models.CharField(blank=True, max_length=30, null=True)),
                ('trailer', models.CharField(blank=True, max_length=200, null=True)),
                ('release_date', models.DateField(auto_now=True)),
                ('view_count', models.DecimalField(decimal_places=2, default=2, max_digits=20)),
                ('description', models.TextField(default='Description will be here...')),
                ('posted_by', models.CharField(default='Admin', max_length=10)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='CinemaRoom',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(blank=True, max_length=20, null=True)),
                ('total_seat', models.DecimalField(decimal_places=2, max_digits=20)),
                ('admin', models.CharField(default='Admin', max_length=20)),
                ('gallery', models.ImageField(blank=True, null=True, upload_to='gallery')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('branch', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='branch', to='cinema.cinemabranch')),
            ],
        ),
    ]
